# CUpti_ActivityPCSampling Struct Reference
[CUPTI Activity API]

The activity record for PC sampling. (deprecated in CUDA 8.0). More...

## Data Fields
uint32_t | correlationId
CUpti_ActivityFlag | flags
uint32_t | functionId
CUpti_ActivityKind | kind
uint32_t | pcOffset
uint32_t | samples
uint32_t | sourceLocatorId
CUpti_ActivityPCSamplingStallReason | stallReason

## Detailed Description

This activity records information obtained by sampling PC (CUPTI_ACTIVITY_KIND_PC_SAMPLING). PC sampling activities are now reported using the CUpti_ActivityPCSampling2 activity record.

## Field Documentation

uint32_t CUpti_ActivityPCSampling::correlationId

The correlation ID of the kernel to which this result is associated.

CUpti_ActivityFlag CUpti_ActivityPCSampling::flags

The properties of this instruction.

uint32_t CUpti_ActivityPCSampling::functionId

Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityPCSampling::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_PC_SAMPLING.

uint32_t CUpti_ActivityPCSampling::pcOffset

The pc offset for the instruction.

uint32_t CUpti_ActivityPCSampling::samples

Number of times the PC was sampled with the stallReason in the record. The same PC can be sampled with different stall reasons.

uint32_t CUpti_ActivityPCSampling::sourceLocatorId

The ID for source locator.

CUpti_ActivityPCSamplingStallReason CUpti_ActivityPCSampling::stallReason

Current stall reason. Includes one of the reasons from CUpti_ActivityPCSamplingStallReason